summaryrefslogtreecommitdiff
path: root/scripts/scan-tools.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/scan-tools.sh')
-rw-r--r--scripts/scan-tools.sh13
1 files changed, 7 insertions, 6 deletions
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index f513b5861..9bb713f6e 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -113,12 +113,6 @@ if ! which gzip >/dev/null 2>&1; then
out=1
fi
-if ! which patch >/dev/null 2>&1; then
- echo You must install patch to continue.
- echo
- out=1
-fi
-
cat >test.c <<-'EOF'
#include <stdio.h>
#include <zlib.h>
@@ -239,6 +233,12 @@ if ! which m4 >/dev/null 2>&1; then
host_build_m4=1
fi
+host_build_patch=0
+if ! which patch >/dev/null 2>&1; then
+ echo "No patch found, will build one."
+ host_build_patch=1
+fi
+
host_build_pkgconf=0
if ! which pkgconf >/dev/null 2>&1; then
echo "No pkgconf found, will build one."
@@ -317,6 +317,7 @@ if [ $host_build_bzip2 -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_BZIP2
if [ $host_build_file -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_FILE" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_flex -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_FLEX" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_m4 -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_M4" >> $topdir/target/config/Config.in.prereq ;fi
+if [ $host_build_patch -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_PATCH" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_pkgconf -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_PKGCONF" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_findutils -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_FINDUTILS" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_xz -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_XZ" >> $topdir/target/config/Config.in.prereq ;fi